Delete an API token by ID
Permanently removes the specified user API token.
DELETE
/
user
/
tokens
/
{tokenId}
Delete an API token by ID
curl --request DELETE \
--url https://app.dynamicauth.com/api/v0/user/tokens/{tokenId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.dynamicauth.com/api/v0/user/tokens/{tokenId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.dynamicauth.com/api/v0/user/tokens/{tokenId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "No jwt provided!"
}{
"error": "Access Forbidden"
}{
"error": "Method Not Allowed"
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the token
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Response
successful operation
Last modified on July 29, 2026
Was this page helpful?
Previous
Introspect the current API tokenReturns metadata about the API token used to authenticate this request, including its scopes, creation date, and associated environment.
Next
⌘I
Delete an API token by ID
